/*
 * gsampler.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_H_
#define _GSAMPLER_H_

#include <gtk/gtk.h>

#if GTK_CHECK_VERSION (2, 90, 0)

G_BEGIN_DECLS

#define GSAMPLER_TYPE_APPLICATION 				(gsampler_get_type ())
#define GSAMPLER_APPLICATION(obj) 				(G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_APPLICATION, Gsampler))
#define GSAMPLER_APPLICATION_CLASS(klass) 		(G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_APPLICATION, GsamplerClass))
#define GSAMPLER_IS_APPLICATION(obj) 			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_APPLICATION))
#define GSAMPLER_IS_APPLICATION_CLASS(klass) 	(G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_APPLICATION))
#define GSAMPLER_APPLICATION_GET_CLASS(obj) 	(G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_APPLICATION, GsamplerClass))

typedef struct _Gsampler Gsampler;
typedef struct _GsamplerClass GsamplerClass;

struct _Gsampler {
	GtkApplication parent_instance;
};

struct _GsamplerClass {
	GtkApplicationClass parent_class;
};

GType gsampler_get_type (void) G_GNUC_CONST;
Gsampler* gsampler_new (void);

G_END_DECLS

#endif

#endif /* _GSAMPLER_H_ */